using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    ///  91
    /// </summary>
    [DataContract]
    [SugarTable("FJ_Station91")]
    public class WCS_Station91 : IStation91
    {
        /// <inheritdoc/>
        [DataMember(Order = 0)]
        public StationShapeAlarm ShapeAlarm { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 1)]
        public float Weight { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 2)]
        public float Length { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 3)]
        public float Width { get; set; }

        [DataMember(Order = 4)]
        [TimeDbSplitField(DateType.Day)]
        public new DateTime Frame { get; set; }

        [DataMember(Order = 5)]
        [SugarColumn(ColumnDataType = "symbol")]
        public new string Code { get; set; }
    }
}
